NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Annotations.RegionBuilder Class Reference

Represents a NXOpen.Annotations.RegionBuilder builder More...

Inheritance diagram for NXOpen.Annotations.RegionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AlignmentPosition {
  TopLeft, TopCenter, TopRight, MiddleLeft,
  MiddleCenter, MiddleRight, BottomLeft, BottomCenter,
  BottomRight
}
 Specifies the anchor location of the region More...
 
enum  CrosshatchPatterns { None, GeneralUse }
 Specifies the crosshatch pattern More...
 
enum  Types {
  RectangularRegion, CircularRegion, AnnularRegion, CylindricalRegion,
  ArbitraryRegion
}
 Specifies the region type More...
 

Properties

unsafe
NXOpen.Annotations.RegionBuilder.AlignmentPosition 
Anchor [get, set]
 Returns or sets the anchor Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion , NXOpen.Annotations.RegionBuilder.Types.CircularRegion , NXOpen.Annotations.RegionBuilder.Types.AnnularRegion More...
 
unsafe
NXOpen.Annotations.ArbitraryAreaSeedBuilderList 
ArbitraryAreaList [get]
 Returns the arbitrary area list Only available when the region type is NXOpen.Annotations.RegionBuilder.Types.ArbitraryRegion More...
 
unsafe
NXOpen.LineColorFontWidthBuilder 
BoundaryColorFontWidth [get]
 Returns the boundary curve settings block More...
 
unsafe bool ConformToSurface [get, set]
 Returns or sets the conform to surface toggle Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion , NXOpen.Annotations.RegionBuilder.Types.CircularRegion , NXOpen.Annotations.RegionBuilder.Types.AnnularRegion More...
 
unsafe NXOpen.NXColor CrosshatchColor [get, set]
 Returns or sets the crosshatch color More...
 
unsafe
NXOpen.Annotations.HatchFillSettingsBuilder 
CrosshatchSettings [get]
 Returns the crosshatch settings block More...
 
unsafe bool DisplayCrosshatch [get, set]
 Returns or sets the display crosshatch toggle More...
 
unsafe NXOpen.Point EndPoint [get, set]
 Returns or sets the end point Only available when the region type is NXOpen.Annotations.RegionBuilder.Types.CylindricalRegion More...
 
unsafe NXOpen.Expression Height [get]
 Returns the height Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion More...
 
unsafe NXOpen.Expression InnerDiameter [get]
 Returns the inner diameter Only available when region type is NXOpen.Annotations.RegionBuilder.Types.AnnularRegion More...
 
unsafe NXOpen.Point Origin [get, set]
 Returns or sets the origin Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion , NXOpen.Annotations.RegionBuilder.Types.CircularRegion , NXOpen.Annotations.RegionBuilder.Types.AnnularRegion More...
 
unsafe NXOpen.Expression OuterDiameter [get]
 Returns the outer diameter Only available when region type is NXOpen.Annotations.RegionBuilder.Types.CircularRegion , NXOpen.Annotations.RegionBuilder.Types.AnnularRegion More...
 
unsafe
NXOpen.Annotations.PlaneBuilder 
Plane [get]
 Returns the plane More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
SelectCylindricalFace [get]
 Returns the select cylindrical face Only available when region type is NXOpen.Annotations.RegionBuilder.Types.CylindricalRegion More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
SelectFace [get]
 Returns the select face Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion , NXOpen.Annotations.RegionBuilder.Types.CircularRegion , NXOpen.Annotations.RegionBuilder.Types.AnnularRegion More...
 
unsafe NXOpen.Point StartPoint [get, set]
 Returns or sets the start point Only available when the region type is NXOpen.Annotations.RegionBuilder.Types.CylindricalRegion More...
 
unsafe
NXOpen.Annotations.RegionBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 
unsafe NXOpen.Expression Width [get]
 Returns the width Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Annotations.RegionBuilder builder

To create a new instance of this class, use NXOpen.Annotations.PmiRegionCollection.CreateRegionBuilder

Default values.

Property Value

ConformToSurface

0

Created in NX6.0.0

Member Enumeration Documentation

Specifies the anchor location of the region

Enumerator
TopLeft 

top left

TopCenter 

top center

TopRight 

top right

MiddleLeft 

middle left

MiddleCenter 

middle center

MiddleRight 

middle right

BottomLeft 

bottom left

BottomCenter 

bottom center

BottomRight 

bottom right

Specifies the crosshatch pattern

Enumerator
None 

none

GeneralUse 

general use

Specifies the region type

Enumerator
RectangularRegion 

rectangular

CircularRegion 

circular

AnnularRegion 

annular

CylindricalRegion 

cylindrical

ArbitraryRegion 

arbitrary

Property Documentation

unsafe NXOpen.Annotations.RegionBuilder.AlignmentPosition NXOpen.Annotations.RegionBuilder.Anchor
getset

Returns or sets the anchor Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion , NXOpen.Annotations.RegionBuilder.Types.CircularRegion , NXOpen.Annotations.RegionBuilder.Types.AnnularRegion

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: geometric_tol ("GDT")

unsafe NXOpen.Annotations.ArbitraryAreaSeedBuilderList NXOpen.Annotations.RegionBuilder.ArbitraryAreaList
get

Returns the arbitrary area list Only available when the region type is NXOpen.Annotations.RegionBuilder.Types.ArbitraryRegion

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.LineColorFontWidthBuilder NXOpen.Annotations.RegionBuilder.BoundaryColorFontWidth
get

Returns the boundary curve settings block

Created in NX11.0.0

License requirements: None.

unsafe bool NXOpen.Annotations.RegionBuilder.ConformToSurface
getset

Returns or sets the conform to surface toggle Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion , NXOpen.Annotations.RegionBuilder.Types.CircularRegion , NXOpen.Annotations.RegionBuilder.Types.AnnularRegion

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: geometric_tol ("GDT")

unsafe NXOpen.NXColor NXOpen.Annotations.RegionBuilder.CrosshatchColor
getset

Returns or sets the crosshatch color

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: geometric_tol ("GDT")

unsafe NXOpen.Annotations.HatchFillSettingsBuilder NXOpen.Annotations.RegionBuilder.CrosshatchSettings
get

Returns the crosshatch settings block

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.Annotations.RegionBuilder.DisplayCrosshatch
getset

Returns or sets the display crosshatch toggle

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: geometric_tol ("GDT")

unsafe NXOpen.Point NXOpen.Annotations.RegionBuilder.EndPoint
getset

Returns or sets the end point Only available when the region type is NXOpen.Annotations.RegionBuilder.Types.CylindricalRegion

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: geometric_tol ("GDT")

unsafe NXOpen.Expression NXOpen.Annotations.RegionBuilder.Height
get

Returns the height Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Annotations.RegionBuilder.InnerDiameter
get

Returns the inner diameter Only available when region type is NXOpen.Annotations.RegionBuilder.Types.AnnularRegion

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Annotations.RegionBuilder.Origin
getset

Returns or sets the origin Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion , NXOpen.Annotations.RegionBuilder.Types.CircularRegion , NXOpen.Annotations.RegionBuilder.Types.AnnularRegion

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: geometric_tol ("GDT")

unsafe NXOpen.Expression NXOpen.Annotations.RegionBuilder.OuterDiameter
get

Returns the outer diameter Only available when region type is NXOpen.Annotations.RegionBuilder.Types.CircularRegion , NXOpen.Annotations.RegionBuilder.Types.AnnularRegion

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Annotations.PlaneBuilder NXOpen.Annotations.RegionBuilder.Plane
get

Returns the plane

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Annotations.RegionBuilder.SelectCylindricalFace
get

Returns the select cylindrical face Only available when region type is NXOpen.Annotations.RegionBuilder.Types.CylindricalRegion

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Annotations.RegionBuilder.SelectFace
get

Returns the select face Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion , NXOpen.Annotations.RegionBuilder.Types.CircularRegion , NXOpen.Annotations.RegionBuilder.Types.AnnularRegion

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Annotations.RegionBuilder.StartPoint
getset

Returns or sets the start point Only available when the region type is NXOpen.Annotations.RegionBuilder.Types.CylindricalRegion

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: geometric_tol ("GDT")

unsafe NXOpen.Annotations.RegionBuilder.Types NXOpen.Annotations.RegionBuilder.Type
getset

Returns or sets the type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: geometric_tol ("GDT")

unsafe NXOpen.Expression NXOpen.Annotations.RegionBuilder.Width
get

Returns the width Only available when region type is NXOpen.Annotations.RegionBuilder.Types.RectangularRegion

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.